Download it now!
Bug 108505 - FILEOPEN: DOCX - Drop down list form field doesn't have correct font when at the beginning of a line
Summary: FILEOPEN: DOCX - Drop down list form field doesn't have correct font when at ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: DOCX-ActiveX-Legacy
  Show dependency treegraph
 
Reported: 2017-06-13 13:23 UTC by eric.verdun
Modified: 2020-06-24 10:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of docx with anomaly (16.34 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-06-14 13:37 UTC, eric.verdun
Details

Note You need to log in before you can comment on or make changes to this bug.
Description eric.verdun 2017-06-13 13:23:20 UTC
Description:
DOCX :
Wrong font of dropdown field if there is no text before on the line.

Steps to Reproduce:
1.MS Office : Create only a dropdown form on a line in a new docx document. Change the font (ex : Trebuchet MS). On the new line, enter text then add the same dropdown field (with Trebuchet MS on both)
2.Open with LibreOffice Writer
3.The font of the first line is wrong

Actual Results:  
The font of the first line is wrong

Expected Results:
Same font on both lines


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:53.0) Gecko/20100101 Firefox/53.0
Comment 1 Jacques Guilleron 2017-06-14 13:09:41 UTC
Hello eric,

Can you provide a docfile example, to make easier and safer what we are talking about?
Thank you,

Jacques
Comment 2 eric.verdun 2017-06-14 13:37:19 UTC
Created attachment 134026 [details]
Example of docx with anomaly

Hello Jacques,

Here the attached file.

Eric
Comment 3 Xisco Faulí 2017-06-15 11:05:36 UTC
Confirmed in

Version: 5.5.0.0.alpha0+
Build ID: 6ab249ea6aecef5d3f35d624622a368061cad9c3
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 4 QA Administrators 2018-06-16 02:45:54 UTC Comment hidden (obsolete)
Comment 5 Jacques Guilleron 2018-06-16 04:37:01 UTC
Confirmed with
LO  6.0.4.2
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL
Comment 6 QA Administrators 2019-06-17 02:47:13 UTC Comment hidden (obsolete)
Comment 7 Jacques Guilleron 2019-06-18 13:27:37 UTC
Hi all,

Confirmed with
LO  6.4.0.0.alpha0+ (x86) Build ID: 5e6af47dc87a55fea595c952ea3e59c93d0620db
CPU threads: 2; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: fr-FR (fr_FR); UI-Language: en-US Calc: CL

Have a nice day,

Jacques
Comment 8 Commit Notification 2020-06-19 11:30:52 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/833dd75c6956f5a0d395468575aa416a6853a1f9

tdf#108505 DOCX: fix legacy dropdown fields direct font setting

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-06-24 10:05:42 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/acfc23e9a4b24d5ca6d772cadcca77ab3c6d0196

tdf#108505 DOCX: fix legacy dropdown fields direct font setting

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2020-06-24 10:37:13 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: cb72269f93a20dd175dae3dcf30740c9931e7684
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Gabor, thanks for fixing this issue!!